Subject: Re: [PATCH] Several patches agains linuxppc_devel-2.4.19-pre8

From: "David Müller (ELSOFT AG)" <[email-masked]>
Date: Fri, 17 May 2002 08:31:36 +0200

Tom Rini schrieb:
> On Thu, May 16, 2002 at 11:26:33AM +0200, "David M?ller (ELSOFT AG)" wrote:
>

[old stuff deleted]

>>Another question:
>>
>>I've noticed that (at least) the following files have their executable
>>bit set, although they are simple C source files.
>>./include/asm-ppc/ppc405_dma.h
>>./arch/ppc/kernel/ppc405_dma.c
>>./arch/ppc/kernel/ppc405_pci.c
>>./arch/ppc/kernel/ppc4xx_setup.c
>>./arch/ppc/platforms/walnut.c
>>./arch/ppc/platforms/cpc700_pic.c
>>
>>On the other hand, the PPCBoot kernel packer script in
>>./arch/ppc/boot/utils/mkimage.wrapper have the exec bit cleared.
>>
>>Is it a bit task to fix this?
>
>
> I assume you ment big.  And no, I've just fixed these.  Thanks.
>

Yes, of course. Here's the list of exec bit set files for 2.5.15:
./arch/ppc/kernel/ppc405_dma.c
./arch/ppc/kernel/ppc405_pci.c
./arch/ppc/kernel/ppc4xx_serial.c
./arch/ppc/kernel/ppc4xx_setup.c
./arch/ppc/platforms/walnut.c
./include/asm-ppc/ppc405_dma.h

Dave

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/